
let engMorpho = require("jslingua").nserv("morpho", "eng");

let verb = "use";
let opts = {
  //Form properties
  tense: "present",

  //negation and voice properties
  //no need (defaults)

  //pronoun properties
  person: "third",
  number: "plural"
};

let result = [];

result.push(engMorpho.conj(verb, opts));
engMorpho.s.clear().conj(verb, opts);

opts.gender = "masculine";
opts.number = "singular";
opts.tense = "past";
result.push(engMorpho.conj(verb, opts));
engMorpho.s.conj(verb, opts);

opts.gender = "feminine";
opts.negated = 1;
opts.voice = "passive";
result.push(engMorpho.conj(verb, opts));
engMorpho.s.conj(verb, opts);

opts.aspect = "continuous";
result.push(engMorpho.conj(verb, opts));
engMorpho.s.conj(verb, opts);

//===========================================

verb = "take";
opts = {
  //Form properties
  //mood: "indicative",
  tense: "present",

  //negation and voice properties
  //no need (defaults)

  //pronoun properties
  person: "first",
  number: "singular",
  gender: "masculine"

};

result.push(engMorpho.conj(verb, opts));
engMorpho.s.conj(verb, opts);

opts.tense = "past";
opts.aspect = "perfect";
result.push(engMorpho.conj(verb, opts));
engMorpho.s.conj(verb, opts);

opts.aspect = "perfect-continuous";
result.push(engMorpho.conjugate(verb, opts));
engMorpho.s.conj(verb, opts);

opts.aspect = "simple";
result.push(engMorpho.conjugate(verb, opts));
engMorpho.s.conj(verb, opts);

opts.voice = "passive";
result.push(engMorpho.conjugate(verb, opts));
engMorpho.s.conj(verb, opts);

opts.tense = "future";
result.push(engMorpho.conjugate(verb, opts));
engMorpho.s.conj(verb, opts);

opts.negated = 1;
result.push(engMorpho.conjugate(verb, opts));
engMorpho.s.conj(verb, opts);

console.log(result);
console.log(engMorpho.s.lconj());
;
